Emulated Hue for Google Home stopped working

I previously had emulated hue working with both Google Home and Amazon Echo. Since stripping out the Echo config (and possibly since an upgrade), the ability to control via Google Home has stopped working. I’m running version 0.57.3.

I can confirm that the following URLs still work:
http://hassio.local/api/pi/lights
http://hassio.local/description.xml

My configuration.yaml contains:

homeassistant:
  customize:
    media_player.samsung_tv_remote:
      emulated_hue_hidden: false
      emulated_hue_name: "tv"
    switch.nuc:
      emulated_hue_hidden: false
      emulated_hue_name: "media server"

and:

emulated_hue:
  host_ip: 192.168.0.20
  listen_port: 80
  expose_by_default: false

Configuration validates as ok.

Despite that, the Google Home app will not see these under ‘devices’. I’ve tried disconnecting Hue, and reconnecting - it reports that it has detected two bridges and asks me to press the button on the one I want to connect, but previously this step would result in seeing all devices - both from the official hub and the emulated hub.

Any ideas?

My error log is also full of a lot more, since upgrading (references to .29 IP is my NUC which runs Plex but is turned off - it never used to generate this amount of error information):

2017-11-21 22:08:49 WARNING (MainThread) [homeassistant.setup] Setup of sensor is taking over 10 seconds.
2017-11-21 22:08:49 WARNING (MainThread) [homeassistant.setup] Setup of notify is taking over 10 seconds.
2017-11-21 22:08:49 WARNING (MainThread) [homeassistant.setup] Setup of media_player is taking over 10 seconds.
2017-11-21 22:08:49 WARNING (MainThread) [homeassistant.setup] Setup of device_tracker is taking over 10 seconds.
2017-11-21 22:08:50 WARNING (MainThread) [homeassistant.setup] Setup of switch is taking over 10 seconds.
2017-11-21 22:08:51 WARNING (MainThread) [homeassistant.setup] Setup of tts is taking over 10 seconds.
2017-11-21 22:09:13 WARNING (MainThread) [homeassistant.components.media_player] Setup of platform plex is taking over 10 seconds.
2017-11-21 22:09:34 ERROR (MainThread) [homeassistant.components.media_player] Error while setting up platform plex
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/usr/lib/python3.6/site-packages/urllib3/util/connection.py", line 83, in create_connection
    raise err
  File "/usr/lib/python3.6/site-packages/urllib3/util/connection.py", line 73, in create_connection
    sock.connect(sa)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 357, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.6/http/client.py", line 1239, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1285, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1234, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1026, in _send_output
    self.send(msg)
  File "/usr/lib/python3.6/http/client.py", line 964, in send
    self.connect()
  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 166, in connect
    conn = self._new_conn()
  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 146, in _new_conn
    (self.host, self.timeout))
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPConnection object at 0x73934790>, 'Connection to 192.168.0.29 timed out. (connect timeout=30)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
    timeout=timeout
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='192.168.0.29', port=32400): Max retries exceeded with url: /?X-Plex-Token=pXPfTHypASEEGjzcsoQK (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x73934790>, 'Connection to 192.168.0.29 timed out. (connect timeout=30)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/homeassistant/helpers/entity_component.py", line 170, in _async_setup_platform
    SLOW_SETUP_MAX_WAIT, loop=self.hass.loop)
  File "/usr/lib/python3.6/asyncio/tasks.py", line 352, in wait_for
    return fut.result()
  File "/usr/lib/python3.6/asyncio/futures.py", line 244, in result
    raise self._exception
  File "/usr/lib/python3.6/concurrent/futures/thread.py", line 55, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/lib/python3.6/site-packages/homeassistant/components/media_player/plex.py", line 87, in setup_platform
    hass, config, add_devices_callback
  File "/usr/lib/python3.6/site-packages/homeassistant/components/media_player/plex.py", line 106, in setup_plexserver
    token, cert_session
  File "/usr/lib/python3.6/site-packages/plexapi/server.py", line 103, in __init__
    data = self.query(self.key, timeout=timeout)
  File "/usr/lib/python3.6/site-packages/plexapi/server.py", line 341, in query
    response = method(url, headers=headers, timeout=timeout, **kwargs)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 521, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 496, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPConnectionPool(host='192.168.0.29', port=32400): Max retries exceeded with url: /?X-Plex-Token=pXPfTHypASEEGjzcsoQK (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x73934790>, 'Connection to 192.168.0.29 timed out. (connect timeout=30)'))
2017-11-21 22:10:02 WARNING (SyncWorker_10) [netdisco.ssdp] Error fetching description at http://:50201/dial.xml
2017-11-21 22:10:28 ERROR (Thread-31) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 ERROR (Thread-22) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 WARNING (Thread-31) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 ERROR (Thread-17) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 ERROR (Thread-38) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 ERROR (Thread-43) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 WARNING (Thread-22) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 ERROR (Thread-10) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:10:28 WARNING (Thread-17) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 WARNING (Thread-38) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 WARNING (Thread-43) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 WARNING (Thread-10) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:10:28 ERROR (Thread-22) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:28 ERROR (Thread-31) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:28 ERROR (Thread-43) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:28 ERROR (Thread-38) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:28 ERROR (Thread-17) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:28 ERROR (Thread-10) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:30 ERROR (SyncWorker_6) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:10:31 WARNING (MainThread) [homeassistant.components.media_player] Setup of platform cast is taking over 10 seconds.
2017-11-21 22:11:21 ERROR (MainThread) [homeassistant.components.media_player] Setup of platform cast is taking longer than 60 seconds. Startup will proceed without waiting any longer.
2017-11-21 22:15:07 WARNING (MainThread) [homeassistant.core] Unable to find service binary_sensor/turn_off
2017-11-21 22:16:30 ERROR (Thread-31) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 ERROR (Thread-38) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 WARNING (Thread-31) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 ERROR (Thread-43) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 ERROR (Thread-10) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 ERROR (Thread-51) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 ERROR (Thread-22) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 WARNING (Thread-38) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 ERROR (Thread-17) [pychromecast.socket_client] Error reading from socket.
2017-11-21 22:16:30 WARNING (Thread-43) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 WARNING (Thread-10) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 WARNING (Thread-51) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 WARNING (Thread-22) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 WARNING (Thread-17) [pychromecast.socket_client] Error communicating with socket, resetting connection
2017-11-21 22:16:30 ERROR (Thread-31) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-22) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-17) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-38) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-10) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-43) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:16:30 ERROR (Thread-51) [pychromecast.socket_client] Failed to connect, retrying in 5.0s
2017-11-21 22:28:42 WARNING (MainThread) [homeassistant.core] Unable to find service binary_sensor/turn_off
2017-11-21 22:29:57 WARNING (MainThread) [homeassistant.core] Unable to find service binary_sensor/turn_off